package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 服务套餐
 */
@Entity
@Table(name = "service_package")
public class ServicePackage {
    @Id
    private Integer id;

    /**
     * 套餐名
     */
    @Column(name = "name", nullable = false)
    private String name;

    /**
     * 套餐价格（以分为单位存储）
     */
    @Column(name = "amount", nullable = false)
    private Integer amount;

    /**
     * 套餐说明（h5地址）
     */
    @Column(name = "intro_url", nullable = false)
    private String introUrl;

    /**
     * 套餐说明
     */
    @Column(name = "intro", nullable = false)
    private String intro;

    /**
     * 套餐类型（订单类型）
     */
    @Column(name = "type", nullable = false)
    private Integer type;

    /**
     * 排序权重
     */
    @Column(name = "weight", nullable = false)
    private Integer weight;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getIntroUrl() {
        return introUrl;
    }

    public void setIntroUrl(String introUrl) {
        this.introUrl = introUrl;
    }

    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getWeight() {
        return weight;
    }

    public void setWeight(Integer weight) {
        this.weight = weight;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }
}
